<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="./index"><span class="identifier">realGame</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="alltypes/index.html"><span class="identifier">alltypes</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/index.html"><span class="keyword">data</span> <span class="keyword">class </span><span class="identifier">Coordinates</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/-init-.html"><span class="identifier">Coordinates</span><span class="symbol">(</span><span class="identifier" id="core.Coordinates$<init>(kotlin.Double, kotlin.Double)/x">x</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a><span class="symbol">, </span><span class="identifier" id="core.Coordinates$<init>(kotlin.Double, kotlin.Double)/y">y</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a><span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/length.html"><span class="keyword">val </span><span class="identifier">length</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/minus.html"><span class="keyword">infix</span> <span class="keyword">fun </span><span class="identifier">minus</span><span class="symbol">(</span><span class="identifier" id="core.Coordinates$minus(core.Coordinates)/other">other</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/plus.html"><span class="keyword">infix</span> <span class="keyword">fun </span><span class="identifier">plus</span><span class="symbol">(</span><span class="identifier" id="core.Coordinates$plus(core.Coordinates)/other">other</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/plus.html"><span class="keyword">infix</span> <span class="keyword">fun </span><span class="identifier">plus</span><span class="symbol">(</span><span class="identifier" id="core.Coordinates$plus(kotlin.Double)/other">other</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/x.html"><span class="keyword">var </span><span class="identifier">x</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/y.html"><span class="keyword">var </span><span class="identifier">y</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-draco-lich/index.html"><span class="keyword">class </span><span class="identifier">DracoLich</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-game-entity/index.html"><span class="identifier">GameEntity</span></a></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-draco-lich/-init-.html"><span class="identifier">DracoLich</span><span class="symbol">(</span><span class="identifier" id="core.DracoLich$<init>(kotlin.String, java.util.UUID, core.Coordinates)/name">name</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html"><span class="identifier">String</span></a><span class="symbol">, </span><span class="identifier" id="core.DracoLich$<init>(kotlin.String, java.util.UUID, core.Coordinates)/id">id</span><span class="symbol">:</span>&nbsp;<a href="http://docs.oracle.com/javase/6/docs/api/java/util/UUID.html"><span class="identifier">UUID</span></a><span class="symbol">, </span><span class="identifier" id="core.DracoLich$<init>(kotlin.String, java.util.UUID, core.Coordinates)/coordinates">coordinates</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-draco-lich/name.html"><span class="keyword">var </span><span class="identifier">name</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html"><span class="identifier">String</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-game-entity/index.html"><span class="keyword">open</span> <span class="keyword">class </span><span class="identifier">GameEntity</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-planar-object/index.html"><span class="identifier">PlanarObject</span></a></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-game-entity/-init-.html"><span class="identifier">GameEntity</span><span class="symbol">(</span><span class="identifier" id="core.GameEntity$<init>(java.util.UUID, core.Coordinates)/id">id</span><span class="symbol">:</span>&nbsp;<a href="http://docs.oracle.com/javase/6/docs/api/java/util/UUID.html"><span class="identifier">UUID</span></a><span class="symbol">, </span><span class="identifier" id="core.GameEntity$<init>(java.util.UUID, core.Coordinates)/coordinates">coordinates</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-game-entity/coordinates.html"><span class="keyword">open</span> <span class="keyword">val </span><span class="identifier">coordinates</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-game-entity/id.html"><span class="keyword">val </span><span class="identifier">id</span><span class="symbol">: </span><a href="http://docs.oracle.com/javase/6/docs/api/java/util/UUID.html"><span class="identifier">UUID</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-planar-object/index.html"><span class="keyword">interface </span><span class="identifier">PlanarObject</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-planar-object/coordinates.html"><span class="keyword">abstract</span> <span class="keyword">val </span><span class="identifier">coordinates</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-container/index.html"><span class="keyword">interface </span><span class="identifier">QuadTreeContainer</span><span class="symbol">&lt;</span><span class="identifier">T</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-planar-object/index.html"><span class="identifier">PlanarObject</span></a><span class="symbol">&gt;</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-container/insert.html"><span class="keyword">abstract</span> <span class="keyword">fun </span><span class="identifier">insert</span><span class="symbol">(</span><span class="identifier" id="core.QuadTreeContainer$insert(core.QuadTreeContainer.T)/obj">obj</span><span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-container/index.html#T"><span class="identifier">T</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-container/is-quadrant.html"><span class="keyword">abstract</span> <span class="keyword">val </span><span class="identifier">isQuadrant</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/index.html"><span class="keyword">data</span> <span class="keyword">class </span><span class="identifier">QuadTreePoint</span><span class="symbol">&lt;</span><span class="identifier">T</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-planar-object/index.html"><span class="identifier">PlanarObject</span></a><span class="symbol">&gt;</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-container/index.html"><span class="identifier">QuadTreeContainer</span></a><span class="symbol">&lt;</span><a href="core/-quad-tree-point/index.html#T"><span class="identifier">T</span></a><span class="symbol">&gt;</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/-init-.html"><span class="identifier">QuadTreePoint</span><span class="symbol">(</span><span class="identifier" id="core.QuadTreePoint$<init>(core.QuadTreePoint.T)/value">value</span><span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-point/index.html#T"><span class="identifier">T</span></a><span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/insert.html"><span class="keyword">fun </span><span class="identifier">insert</span><span class="symbol">(</span><span class="identifier" id="core.QuadTreePoint$insert(core.QuadTreePoint.T)/obj">obj</span><span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-point/index.html#T"><span class="identifier">T</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/is-quadrant.html"><span class="keyword">val </span><span class="identifier">isQuadrant</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/value.html"><span class="keyword">val </span><span class="identifier">value</span><span class="symbol">: </span><a href="core/-quad-tree-point/index.html#T"><span class="identifier">T</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/index.html"><span class="keyword">data</span> <span class="keyword">class </span><span class="identifier">Quadrant</span><span class="symbol">&lt;</span><span class="identifier">T</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-planar-object/index.html"><span class="identifier">PlanarObject</span></a><span class="symbol">&gt;</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-container/index.html"><span class="identifier">QuadTreeContainer</span></a><span class="symbol">&lt;</span><a href="core/-quadrant/index.html#T"><span class="identifier">T</span></a><span class="symbol">&gt;</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/-init-.html"><span class="identifier">Quadrant</span><span class="symbol">(</span><span class="identifier" id="core.Quadrant$<init>(core.Coordinates, kotlin.Double, kotlin.Array((core.QuadTreeContainer((core.Quadrant.T)))), kotlin.Double)/center">center</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">, </span><span class="identifier" id="core.Quadrant$<init>(core.Coordinates, kotlin.Double, kotlin.Array((core.QuadTreeContainer((core.Quadrant.T)))), kotlin.Double)/halfSide">halfSide</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a><span class="symbol">, </span><span class="identifier" id="core.Quadrant$<init>(core.Coordinates, kotlin.Double, kotlin.Array((core.QuadTreeContainer((core.Quadrant.T)))), kotlin.Double)/points">points</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-array/index.html"><span class="identifier">Array</span></a><span class="symbol">&lt;</span><a href="core/-quad-tree-container/index.html"><span class="identifier">QuadTreeContainer</span></a><span class="symbol">&lt;</span><a href="core/-quadrant/index.html#T"><span class="identifier">T</span></a><span class="symbol">&gt;</span><span class="symbol">?</span><span class="symbol">&gt;</span>&nbsp;<span class="symbol">=</span>&nbsp;Array(4) { null }<span class="symbol">, </span><span class="identifier" id="core.Quadrant$<init>(core.Coordinates, kotlin.Double, kotlin.Array((core.QuadTreeContainer((core.Quadrant.T)))), kotlin.Double)/eps">eps</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a>&nbsp;<span class="symbol">=</span>&nbsp;1e-15<span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/center.html"><span class="keyword">val </span><span class="identifier">center</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/contains.html"><span class="keyword">fun </span><span class="identifier">contains</span><span class="symbol">(</span><span class="identifier" id="core.Quadrant$contains(core.Coordinates)/point">point</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/eps.html"><span class="keyword">val </span><span class="identifier">eps</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/half-side.html"><span class="keyword">val </span><span class="identifier">halfSide</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/insert.html"><span class="keyword">fun </span><span class="identifier">insert</span><span class="symbol">(</span><span class="identifier" id="core.Quadrant$insert(core.Quadrant.T)/obj">obj</span><span class="symbol">:</span>&nbsp;<a href="core/-quadrant/index.html#T"><span class="identifier">T</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/is-quadrant.html"><span class="keyword">val </span><span class="identifier">isQuadrant</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/points.html"><span class="keyword">val </span><span class="identifier">points</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-array/index.html"><span class="identifier">Array</span></a><span class="symbol">&lt;</span><a href="core/-quad-tree-container/index.html"><span class="identifier">QuadTreeContainer</span></a><span class="symbol">&lt;</span><a href="core/-quadrant/index.html#T"><span class="identifier">T</span></a><span class="symbol">&gt;</span><span class="symbol">?</span><span class="symbol">&gt;</span></a></a><br/>
</BODY>
</HTML>
</ul>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/index.html"><span class="keyword">package</span> <span class="identifier">core</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/index.html"><span class="keyword">data</span> <span class="keyword">class </span><span class="identifier">Coordinates</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/-init-.html"><span class="identifier">Coordinates</span><span class="symbol">(</span><span class="identifier" id="core.Coordinates$<init>(kotlin.Double, kotlin.Double)/x">x</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a><span class="symbol">, </span><span class="identifier" id="core.Coordinates$<init>(kotlin.Double, kotlin.Double)/y">y</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a><span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/length.html"><span class="keyword">val </span><span class="identifier">length</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/minus.html"><span class="keyword">infix</span> <span class="keyword">fun </span><span class="identifier">minus</span><span class="symbol">(</span><span class="identifier" id="core.Coordinates$minus(core.Coordinates)/other">other</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/plus.html"><span class="keyword">infix</span> <span class="keyword">fun </span><span class="identifier">plus</span><span class="symbol">(</span><span class="identifier" id="core.Coordinates$plus(core.Coordinates)/other">other</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/plus.html"><span class="keyword">infix</span> <span class="keyword">fun </span><span class="identifier">plus</span><span class="symbol">(</span><span class="identifier" id="core.Coordinates$plus(kotlin.Double)/other">other</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/x.html"><span class="keyword">var </span><span class="identifier">x</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-coordinates/y.html"><span class="keyword">var </span><span class="identifier">y</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-draco-lich/index.html"><span class="keyword">class </span><span class="identifier">DracoLich</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-game-entity/index.html"><span class="identifier">GameEntity</span></a></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-draco-lich/-init-.html"><span class="identifier">DracoLich</span><span class="symbol">(</span><span class="identifier" id="core.DracoLich$<init>(kotlin.String, java.util.UUID, core.Coordinates)/name">name</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html"><span class="identifier">String</span></a><span class="symbol">, </span><span class="identifier" id="core.DracoLich$<init>(kotlin.String, java.util.UUID, core.Coordinates)/id">id</span><span class="symbol">:</span>&nbsp;<a href="http://docs.oracle.com/javase/6/docs/api/java/util/UUID.html"><span class="identifier">UUID</span></a><span class="symbol">, </span><span class="identifier" id="core.DracoLich$<init>(kotlin.String, java.util.UUID, core.Coordinates)/coordinates">coordinates</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-draco-lich/name.html"><span class="keyword">var </span><span class="identifier">name</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html"><span class="identifier">String</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-game-entity/index.html"><span class="keyword">open</span> <span class="keyword">class </span><span class="identifier">GameEntity</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-planar-object/index.html"><span class="identifier">PlanarObject</span></a></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-game-entity/-init-.html"><span class="identifier">GameEntity</span><span class="symbol">(</span><span class="identifier" id="core.GameEntity$<init>(java.util.UUID, core.Coordinates)/id">id</span><span class="symbol">:</span>&nbsp;<a href="http://docs.oracle.com/javase/6/docs/api/java/util/UUID.html"><span class="identifier">UUID</span></a><span class="symbol">, </span><span class="identifier" id="core.GameEntity$<init>(java.util.UUID, core.Coordinates)/coordinates">coordinates</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-game-entity/coordinates.html"><span class="keyword">open</span> <span class="keyword">val </span><span class="identifier">coordinates</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-game-entity/id.html"><span class="keyword">val </span><span class="identifier">id</span><span class="symbol">: </span><a href="http://docs.oracle.com/javase/6/docs/api/java/util/UUID.html"><span class="identifier">UUID</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-planar-object/index.html"><span class="keyword">interface </span><span class="identifier">PlanarObject</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-planar-object/coordinates.html"><span class="keyword">abstract</span> <span class="keyword">val </span><span class="identifier">coordinates</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-container/index.html"><span class="keyword">interface </span><span class="identifier">QuadTreeContainer</span><span class="symbol">&lt;</span><span class="identifier">T</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-planar-object/index.html"><span class="identifier">PlanarObject</span></a><span class="symbol">&gt;</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-container/insert.html"><span class="keyword">abstract</span> <span class="keyword">fun </span><span class="identifier">insert</span><span class="symbol">(</span><span class="identifier" id="core.QuadTreeContainer$insert(core.QuadTreeContainer.T)/obj">obj</span><span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-container/index.html#T"><span class="identifier">T</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-container/is-quadrant.html"><span class="keyword">abstract</span> <span class="keyword">val </span><span class="identifier">isQuadrant</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/index.html"><span class="keyword">data</span> <span class="keyword">class </span><span class="identifier">QuadTreePoint</span><span class="symbol">&lt;</span><span class="identifier">T</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-planar-object/index.html"><span class="identifier">PlanarObject</span></a><span class="symbol">&gt;</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-container/index.html"><span class="identifier">QuadTreeContainer</span></a><span class="symbol">&lt;</span><a href="core/-quad-tree-point/index.html#T"><span class="identifier">T</span></a><span class="symbol">&gt;</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/-init-.html"><span class="identifier">QuadTreePoint</span><span class="symbol">(</span><span class="identifier" id="core.QuadTreePoint$<init>(core.QuadTreePoint.T)/value">value</span><span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-point/index.html#T"><span class="identifier">T</span></a><span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/insert.html"><span class="keyword">fun </span><span class="identifier">insert</span><span class="symbol">(</span><span class="identifier" id="core.QuadTreePoint$insert(core.QuadTreePoint.T)/obj">obj</span><span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-point/index.html#T"><span class="identifier">T</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/is-quadrant.html"><span class="keyword">val </span><span class="identifier">isQuadrant</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quad-tree-point/value.html"><span class="keyword">val </span><span class="identifier">value</span><span class="symbol">: </span><a href="core/-quad-tree-point/index.html#T"><span class="identifier">T</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/index.html"><span class="keyword">data</span> <span class="keyword">class </span><span class="identifier">Quadrant</span><span class="symbol">&lt;</span><span class="identifier">T</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-planar-object/index.html"><span class="identifier">PlanarObject</span></a><span class="symbol">&gt;</span>&nbsp;<span class="symbol">:</span>&nbsp;<a href="core/-quad-tree-container/index.html"><span class="identifier">QuadTreeContainer</span></a><span class="symbol">&lt;</span><a href="core/-quadrant/index.html#T"><span class="identifier">T</span></a><span class="symbol">&gt;</span></a></a><br/>
<ul>
<HTML>
<HEAD>
<meta charset="UTF-8">
<title>Module Contents</title>
<link rel="stylesheet" href="../style.css">
</HEAD>
<BODY>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/-init-.html"><span class="identifier">Quadrant</span><span class="symbol">(</span><span class="identifier" id="core.Quadrant$<init>(core.Coordinates, kotlin.Double, kotlin.Array((core.QuadTreeContainer((core.Quadrant.T)))), kotlin.Double)/center">center</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">, </span><span class="identifier" id="core.Quadrant$<init>(core.Coordinates, kotlin.Double, kotlin.Array((core.QuadTreeContainer((core.Quadrant.T)))), kotlin.Double)/halfSide">halfSide</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a><span class="symbol">, </span><span class="identifier" id="core.Quadrant$<init>(core.Coordinates, kotlin.Double, kotlin.Array((core.QuadTreeContainer((core.Quadrant.T)))), kotlin.Double)/points">points</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-array/index.html"><span class="identifier">Array</span></a><span class="symbol">&lt;</span><a href="core/-quad-tree-container/index.html"><span class="identifier">QuadTreeContainer</span></a><span class="symbol">&lt;</span><a href="core/-quadrant/index.html#T"><span class="identifier">T</span></a><span class="symbol">&gt;</span><span class="symbol">?</span><span class="symbol">&gt;</span>&nbsp;<span class="symbol">=</span>&nbsp;Array(4) { null }<span class="symbol">, </span><span class="identifier" id="core.Quadrant$<init>(core.Coordinates, kotlin.Double, kotlin.Array((core.QuadTreeContainer((core.Quadrant.T)))), kotlin.Double)/eps">eps</span><span class="symbol">:</span>&nbsp;<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a>&nbsp;<span class="symbol">=</span>&nbsp;1e-15<span class="symbol">)</span></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/center.html"><span class="keyword">val </span><span class="identifier">center</span><span class="symbol">: </span><a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/contains.html"><span class="keyword">fun </span><span class="identifier">contains</span><span class="symbol">(</span><span class="identifier" id="core.Quadrant$contains(core.Coordinates)/point">point</span><span class="symbol">:</span>&nbsp;<a href="core/-coordinates/index.html"><span class="identifier">Coordinates</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/eps.html"><span class="keyword">val </span><span class="identifier">eps</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/half-side.html"><span class="keyword">val </span><span class="identifier">halfSide</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-double/index.html"><span class="identifier">Double</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/insert.html"><span class="keyword">fun </span><span class="identifier">insert</span><span class="symbol">(</span><span class="identifier" id="core.Quadrant$insert(core.Quadrant.T)/obj">obj</span><span class="symbol">:</span>&nbsp;<a href="core/-quadrant/index.html#T"><span class="identifier">T</span></a><span class="symbol">)</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/is-quadrant.html"><span class="keyword">val </span><span class="identifier">isQuadrant</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html"><span class="identifier">Boolean</span></a></a></a><br/>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/-quadrant/points.html"><span class="keyword">val </span><span class="identifier">points</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-array/index.html"><span class="identifier">Array</span></a><span class="symbol">&lt;</span><a href="core/-quad-tree-container/index.html"><span class="identifier">QuadTreeContainer</span></a><span class="symbol">&lt;</span><a href="core/-quadrant/index.html#T"><span class="identifier">T</span></a><span class="symbol">&gt;</span><span class="symbol">?</span><span class="symbol">&gt;</span></a></a><br/>
</BODY>
</HTML>
</ul>
<a href="/home/quentin/Code/realGame/build/javadoc/real-game/index"><a href="core/test.html"><span class="keyword">fun </span><span class="identifier">test</span><span class="symbol">(</span><span class="symbol">)</span><span class="symbol">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html"><span class="identifier">Unit</span></a></a></a><br/>
</BODY>
</HTML>
</ul>
</BODY>
</HTML>
</ul>
</BODY>
</HTML>
